सामग्री पर जाएँ

Qwen Image 2512 · LoRA

इंटीग्रेट करें

मॉडल id qwen-image-2512/lora
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/qwen-image-2512/lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.035 35 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

कस्टम शैलियों या विषयों के लिए LoRA वेट स्वीकार करने वाला Qwen Image 2512 टेक्स्ट-टू-इमेज मॉडल

Alibaba · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

इमेज निर्माण का मार्गदर्शन करने वाला प्रॉम्प्ट।

image_size डिफ़ॉल्ट landscape_4_3

निर्मित इमेज के आयाम।

num_images डिफ़ॉल्ट 1

निर्माण के लिए अनुरोधित इमेज की संख्या।

उन्नत negative_prompt · output_format · acceleration · num_inference_steps · guidance_scale · seed · enable_safety_checker · loras
डिफ़ॉल्ट

इमेज निर्माण के दौरान उपयोग किया गया नेगेटिव प्रॉम्प्ट।

output_format डिफ़ॉल्ट png

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

acceleration डिफ़ॉल्ट regular

प्रोसेसिंग पर लागू त्वरण स्तर।

डिफ़ॉल्ट 28

चलाए जाने वाले inference चरणों की संख्या।

डिफ़ॉल्ट 4

इमेज निर्माण के दौरान लागू guidance scale।

दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।

डिफ़ॉल्ट []

इमेज-निर्माण LoRA चयन, जिसमें अंतिम इमेज के लिए अधिकतम 3 को एकल मर्ज किए गए कॉन्फ़िगरेशन में मिलाया जा सकता है।

POST /run/qwen-image-2512/lora?wait=20 कोटेशन → $0.035
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/qwen-image-2512/lora?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Qwen Image 2512 · LoRA के बारे में

`loras` ऐरे के साथ Qwen Image का 2512 संस्करण चलाता है, जिसमें अधिकतम 3 LoRA को परिणाम में मर्ज किया जाता है। अन्य इनपुट बेस 2512 मॉडल से मेल खाते हैं: `prompt`, `negative_prompt`, छह `image_size` प्रीसेट, 1 से 50 स्टेप, 1 से 4 इमेज, और png, jpeg या webp आउटपुट।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
इमेज निर्माण का मार्गदर्शन करने वाला प्रॉम्प्ट।
negative_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
इमेज निर्माण के दौरान उपयोग किया गया नेगेटिव प्रॉम्प्ट।
image_sizeवैकल्पिक
प्रकारobject
डिफ़ॉल्टlandscape_4_3
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
निर्मित इमेज के आयाम।
num_inference_stepsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट28
1 – 50
चलाए जाने वाले inference चरणों की संख्या।
guidance_scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट4
0 – 20
इमेज निर्माण के दौरान लागू guidance scale।
seedवैकल्पिक
प्रकारinteger | null
दोहराए जा सकने वाले इमेज निर्माण के लिए seed: मॉडल संस्करण अपरिवर्तित होने पर समान प्रॉम्प्ट और seed से समान इमेज बनती है।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
निर्माण के लिए अनुरोधित इमेज की संख्या।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
सुरक्षा जाँच, जो असुरक्षित चिह्नित इमेज के स्थान पर काली इमेज लौटाती है। true मान जाँच सक्षम करता है; false इसे केवल अधिकृत खातों के लिए अक्षम करता है, जबकि बिना प्राधिकरण वाले अनुरोधों की जाँच हमेशा की जाती है।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
accelerationवैकल्पिक
प्रकारenum
डिफ़ॉल्टregular
noneregularhigh
प्रोसेसिंग पर लागू त्वरण स्तर।
lorasवैकल्पिक
प्रकारobject[]
डिफ़ॉल्ट[]
इमेज-निर्माण LoRA चयन, जिसमें अंतिम इमेज के लिए अधिकतम 3 को एकल मर्ज किए गए कॉन्फ़िगरेशन में मिलाया जा सकता है।
loras[].pathआवश्यक
प्रकारstring
LoRA weights का स्थान, URL या path के रूप में निर्दिष्ट।
loras[].scaleवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0 – 4
LoRA weight को base मॉडल में मर्ज करने से पहले उस पर लागू किया गया multiplier।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "qwen-image-2512/lora",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, width, height, content_type}निर्मित इमेज की फ़ाइल जानकारी।
timings
object
seed
integerइमेज-निर्माण seed, जिसमें इनपुट में seed न दिए जाने पर यादृच्छिक रूप से चुना गया मान शामिल है; अन्यथा, यह दिए गए मान को दोहराता है।
has_nsfw_concepts
array of booleanबताता है कि बनाई गई इमेज में NSFW अवधारणाएँ दिखाई देती हैं या नहीं।
prompt
stringइमेज निर्माण के दौरान उपयोग किया गया प्रॉम्प्ट।

और मॉडल: टेक्स्ट से इमेज

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/qwen-image-2512/lora.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt